Bug 48701 - /etc/passwd has /sbin/nologin for "news", causes innd to stop working
/etc/passwd has /sbin/nologin for "news", causes innd to stop working
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: setup (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-11 04:09 EDT by Jonathan Kamens
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-11 17:37:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2001-07-11 04:09:01 EDT
/etc/passwd in setup-2.4.15-1 has /sbin/nologin as news' shell.  This
causes the inn package to stop working.
Either the /sbin/nologin needs to go away, or the inn package needs to be
modified to remove it when inn is installed.
Comment 1 Bill Nottingham 2001-07-11 15:13:50 EDT
The inn user needs /bin/bash, or just something that exists?
Comment 2 Jonathan Kamens 2001-07-11 17:37:24 EDT
Before the new version of the "setup" package, the "news" user had no shell at
all, i.e., its line in /etc/passwd ended with "/var/spool/news:".  I reverted to
this when I discovered the problem with having /sbin/nologin there, and that
seems to work.  So I don't think it needs to have an actual shell -- it just
needs to not have "/sbin/nologin".
Comment 3 Bill Nottingham 2001-07-13 12:07:37 EDT
Fixed in 2.5.1-1.

Note You need to log in before you can comment on or make changes to this bug.